Subject: Re: [COSE] I-D Action: draft-ietf-cose-hash-sig-03.txt

From: John Mattsson <[email-masked]>
Date: Thu, 19 Sep 2019 14:49:21 +0000

Hi Russ,

One small editorial comment. The title says "the hash-based signature algorithm", but CFRG has already published two. I suggest to change the title to ""the HSS/LMS hash-based signature algorithm" similar to your draft in lamps. https://tools.ietf.org/html/draft-ietf-lamps-cms-hash-sig-10

OLD: "Use of the Hash-based Signature Algorithm with CBOR Object Signing and Encryption (COSE)"
NEW: "Use of the HSS/LMS Hash-based Signature Algorithm with CBOR Object Signing and Encryption (COSE)"

Cheers,
John

-----Original Message-----
From: COSE <[email-masked]> on behalf of Russ Housley <[email-masked]>
Date: Friday, 10 May 2019 at 16:23
To: cose <[email-masked]>
Subject: Re: [COSE] I-D Action: draft-ietf-cose-hash-sig-03.txt

    This update resolves comments received on Section 1.1, which also lead to the inclusion of a reference to Shor's algorithm.
    
    This update also changes the [HASHSIG] reference to point to RFC 8554.
    
    Russ

    > On May 10, 2019, at 10:20 AM, [email-masked] wrote:
    > 
    > 
    > A New Internet-Draft is available from the on-line Internet-Drafts directories.
    > This draft is a work item of the CBOR Object Signing and Encryption WG of the IETF.
    > 
    >        Title           : Use of the Hash-based Signature Algorithm with CBOR Object Signing and Encryption (COSE)
    >        Author          : Russ Housley
    > 	Filename        : draft-ietf-cose-hash-sig-03.txt
    > 	Pages           : 22
    > 	Date            : 2019-05-10
    > 
    > Abstract:
    >   This document specifies the conventions for using the HSS/LMS hash-
    >   based signature algorithm with the CBOR Object Signing and Encryption
    >   (COSE) syntax.  The HSS/LMS algorithm is one form of hash-based
    >   digital signature; it is described in RFC 8554.
    > 
    > 
    > The IETF datatracker status page for this draft is:
    > https://datatracker.ietf.org/doc/draft-ietf-cose-hash-sig/
    > 
    > There are also htmlized versions available at:
    > https://tools.ietf.org/html/draft-ietf-cose-hash-sig-03
    > https://datatracker.ietf.org/doc/html/draft-ietf-cose-hash-sig-03
    > 
    > A diff from the previous version is available at:
    > https://www.ietf.org/rfcdiff?url2=draft-ietf-cose-hash-sig-03
    > 
    > 
    > Please note that it may take a couple of minutes from the time of submission
    > until the htmlized version and diff are available at tools.ietf.org.
    > 
    > Internet-Drafts are also available by anonymous FTP at:
    > ftp://ftp.ietf.org/internet-drafts/
    
    _______________________________________________
    COSE mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/cose

---

From: Russ Housley <[email-masked]>
Date: Thu, 19 Sep 2019 13:42:34 -0400

John:

I agree.  I will make this change when I resolve the comments from AD review.  I have already make it in my edit buffer.

Russ

> On Sep 19, 2019, at 10:49 AM, John Mattsson <[email-masked]> wrote:
> 
> Hi Russ,
>